import * as $dara from '@darabonba/typescript';
export declare class DescribeSummaryInfoRequest extends $dara.Model {
    /**
     * @remarks
     * The language of the content within the request and response. Valid values:
     *
     * *   **zh**: Chinese
     * *   **en**: English
     *
     * @example
     * zh
     */
    lang?: string;
    /**
     * @remarks
     * The source IP address of the request.
     *
     * @example
     * 192.168.XX.XX
     */
    sourceIp?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
